#ifndef GRAPHICS_BOB_H
#define GRAPHICS_BOB_H TRUE

/*
**  bob.h
**
**  (C) Copyright 1996-2002 Rocklyte Systems.
**      All Rights Reserved.
*/

#ifndef MAIN_H
#include <pandora/main.h>
#endif

/*****************************************************************************
** Bob class.
*/

#define VER_BOB  1.0

struct FrameList {
   LONG XCoord;
   LONG YCoord;
   LONG Width;
   LONG Height;
};

struct Bob {
   OBJECT_HEADER
   LONG   XCoord;
   LONG   YCoord;
   LONG   Frame;
   LONG   AmtFrames;
   LONG   Flags;
   LONG   ClipLeft;
   LONG   ClipRight;
   LONG   ClipTop;
   LONG   ClipBottom;
   struct Bitmap     *Source;
   struct Bitmap     *Destination;
   struct FrameList  *Frames;
   STRING Location;
   LONG BitsPerPixel;

   PRIVATE_FIELDS
   struct Picture *Picture;
};

/*****************************************************************************
** Bob flags.
*/

#define BBF_CLIP     0x00000001 /* Allow border clipping */

#endif /* GRAPHICS_BOB_H */
